%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate trybuild

Name:           rust-trybuild
Version:        1.0.94
Release:    1%{?dist}
Summary:        Test harness for ui tests of compiler diagnostics

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/trybuild
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Test harness for ui tests of compiler diagnostics.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diff-devel %{_description}

This package contains library source intended for building other packages which
use the "diff" feature of the "%{crate}" crate.

%files       -n %{name}+diff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dissimilar-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dissimilar-devel %{_description}

This package contains library source intended for building other packages which
use the "dissimilar" feature of the "%{crate}" crate.

%files       -n %{name}+dissimilar-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.94-1
- initial build
